Loading...
Searching...
No Matches
oval_results_model Struct Reference
OVAL » OVALRES

OVAL Results Model holds OVAL results structure instances. More...

`#include <oval_results.h>`

Collaboration diagram for oval_results_model:
[legend]

## Public Member Functions

OSCAP_API struct oval_results_model * | oval_results_model_new (struct oval_definition_model *definition_model, struct oval_syschar_model **)
| Create new oval_results_model.
OSCAP_API int | oval_results_model_import_source (struct oval_results_model *model, struct oscap_source *source)
| Import the content from the oscap_source into an oval_result_model.
OSCAP_API struct oval_results_model * | oval_results_model_clone (struct oval_results_model *)
| Copy an oval_results_model.
OSCAP_API void | oval_results_model_set_export_system_characteristics (struct oval_results_model *, bool export)
OSCAP_API bool | oval_results_model_get_export_system_characteristics (struct oval_results_model *)
OSCAP_API void | oval_results_model_free (struct oval_results_model *model)
| Free memory allocated to a specified oval results model.
OSCAP_API int | oval_results_model_export (struct oval_results_model *, struct oval_directives_model *, const char *file)
| Export oval results into file.
Getters
OSCAP_API struct oval_definition_model * | oval_results_model_get_definition_model (struct oval_results_model *model)
| Return bound definition model from an oval_results_model.
OSCAP_API struct oval_directives_model * | oval_results_model_get_directives_model (struct oval_results_model *model)
| Return the OVAL directives model.
OSCAP_API struct oval_result_system_iterator * | oval_results_model_get_systems (struct oval_results_model *)
| Return iterator over reporting systems.

## Data Fields

struct oval_generator * | generator
struct oval_directives_model * | directives_model
struct oval_definition_model * | definition_model
struct oval_collection * | systems
bool | export_sys_chars

## Detailed Description

OVAL Results Model holds OVAL results structure instances.

The documentation for this struct was generated from the following files:

- oval_resModel.c
- oval_results.h